Cloud User
10 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getRemoteBindingStatus | GET | Get remote bind status |
| getCloudAccessStatus | GET | Get cloud access status |
| getCloudUserInfo | GET | Get cloud user information |
| bindOwner | POST | Bind the owner account |
| unbindOwner | POST | Unbind the owner account |
| cloudOwnerUnbindOwner | POST | Unbind the owner account for cloud owner |
| getMspCloudAccessStatus | GET | Get MSP cloud access status |
| bindMspOwner | POST | Bind the MSP owner account |
| unbindMspOwner | POST | Unbind the MSP owner account |
| cloudOwnerUnbindMspOwner | POST | Unbind the MSP owner account for cloud owner |
getRemoteBindingStatus
GET /openapi/v1/{omadacId}/cloud/remote/bind/status
Get remote bind status
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
// omada_call_operation
{
"operationId": "getRemoteBindingStatus"
}Details, permissions and error codes
Get remote bind status.only for combined gateway controller
getCloudAccessStatus
GET /openapi/v1/{omadacId}/cloud/status
Get cloud access status
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
// omada_call_operation
{
"operationId": "getCloudAccessStatus"
}Details, permissions and error codes
Get cloud access status.
getCloudUserInfo
GET /openapi/v1/{omadacId}/cloud/user
Get cloud user information
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
// omada_call_operation
{
"operationId": "getCloudUserInfo"
}Details, permissions and error codes
Get cloud user information, only for remote access.
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-20010 - This account does not exist.
bindOwner
POST /openapi/v1/{omadacId}/cmd/cloud/bind
Bind the owner account
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema BindOwnerOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
accountName | string | yes | account name |
password | string | yes | account password |
// omada_call_operation
{
"operationId": "bindOwner",
"body": "{...}"
}Details, permissions and error codes
Bind the owner account.
The interface requires one of the permissions:
Global Other Setting Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1005 - Operation forbidden.
-30103 - Invalid email address.
unbindOwner
POST /openapi/v1/{omadacId}/cmd/cloud/unbind
Unbind the owner account
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
// omada_call_operation
{
"operationId": "unbindOwner"
}Details, permissions and error codes
Unbind the owner account.
The interface requires one of the permissions:
Global Other Setting Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1004 - Invalid request type.
-7101 - Cloud access is not enabled.
cloudOwnerUnbindOwner
POST /openapi/v1/{omadacId}/unbind/cloudowner
Unbind the owner account for cloud owner
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema LocalOwnerConfirmVO
| Field | Type | Required | Description |
|---|---|---|---|
username | string | yes | local owner username |
password | string | yes | local owner password |
// omada_call_operation
{
"operationId": "cloudOwnerUnbindOwner",
"body": "{...}"
}Details, permissions and error codes
Unbind the owner account for cloud owner.
The interface requires one of the permissions:
Global Other Setting Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1004 - Invalid request type.
-7101 - Cloud access is not enabled.
getMspCloudAccessStatus
GET /openapi/v1/msp/{mspId}/cloud/status
Get MSP cloud access status
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
// omada_call_operation
{
"operationId": "getMspCloudAccessStatus"
}Details, permissions and error codes
Get MSP cloud access status.
bindMspOwner
POST /openapi/v1/msp/{mspId}/cmd/cloud/bind
Bind the MSP owner account
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
Request body — application/json (required) — schema BindOwnerOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
accountName | string | yes | account name |
password | string | yes | account password |
// omada_call_operation
{
"operationId": "bindMspOwner",
"body": "{...}"
}Details, permissions and error codes
Bind the MSP owner account.
The interface requires one of the permissions:
MSP Other Settings Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1004 - Invalid request type.
-20003 - The controller does not exist.
-30103 - Invalid email address.
unbindMspOwner
POST /openapi/v1/msp/{mspId}/cmd/cloud/unbind
Unbind the MSP owner account
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
// omada_call_operation
{
"operationId": "unbindMspOwner"
}Details, permissions and error codes
Unbind the MSP owner account.
The interface requires one of the permissions:
MSP Other Settings Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-7101 - Cloud access is not enabled.
cloudOwnerUnbindMspOwner
POST /openapi/v1/msp/{mspId}/unbind/cloudowner
Unbind the MSP owner account for cloud owner
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
Request body — application/json (required) — schema LocalOwnerConfirmVO
| Field | Type | Required | Description |
|---|---|---|---|
username | string | yes | local owner username |
password | string | yes | local owner password |
// omada_call_operation
{
"operationId": "cloudOwnerUnbindMspOwner",
"body": "{...}"
}Details, permissions and error codes
Unbind the MSP owner account for cloud owner.
The interface requires one of the permissions:
MSP Other Settings Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-7101 - Cloud access is not enabled.